## gucharmap 16.0.2

=== meson_options.txt ===
# Copyright © 2019 Christian Persch
#
# This programme is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This programme is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this programme.  If not, see <https://www.gnu.org/licenses/>.

option(
  'charmap',
  type: 'boolean',
  value: true,
  description: 'Build the charmap programme',
)

option(
  'dbg',
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'docs',
  type: 'boolean',
  value: true,
  description: 'Enable documentation',
)

option(
  'gir',
  type: 'boolean',
  value: true,
  description: 'Enable GObject Introspection',
)

option(
  'gtk3',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 3.0 widget',
)

option(
  'ucd_path',
  type: 'string',
  value: '',
  description: 'Path to Unicode database files',
)

option(
  'vapi', # would use 'vala' but that name is reserved
  type: 'boolean',
  value: true,
  description: 'Enable Vala bindings',
)

## gucharmap 2.30.3

=== debian/changelog ===
gucharmap (1:2.30.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Sep 2010 23:59:06 +0200

gucharmap (1:2.30.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 22 Jun 2010 19:47:08 +0200

gucharmap (1:2.30.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Switch to format 3.0 (quilt).
  * debian/gucharmap.postinst:
    - It's now empty, remove it.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 27 Apr 2010 19:57:25 +0200

gucharmap (1:2.30.0-1) unstable; urgency=low

  * New upstream release.
    - Updated to Unicode 5.2.0 (Closes: #554776).
  * debian/patches/99_ltmain_as-needed.patch:
    - refreshed.
  * debian/control.in:
    - Update Standards-Version to 3.8.4, no additional changes needed.

 -- David Weinehall <tao@debian.org>  Mon, 29 Mar 2010 17:02:03 +0300

gucharmap (1:2.28.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 14 Dec 2009 22:10:18 +0100

gucharmap (1:2.28.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 20 Oct 2009 17:33:08 +0200

gucharmap (1:2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Remove obsolete Conflicts/Replaces.
  * debian/copyright:
    - Point to the correct common-license link.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 Sep 2009 23:17:16 +0200

gucharmap (1:2.26.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 13 Sep 2009 23:43:15 +0200

gucharmap (1:2.26.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Add libglib2.0-doc and libgtk2.0-doc to build-deps to ensure proper 
    xrefs.

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    - Update Standards-Version to 3.8.1, no additional changes needed.
    - Update svn fields to unstable.
  * debian/copyright:
    - Specify gucharmap/gucharmap-chartable* license is LGPL-2.

  [ Josselin Mouette ]
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sat, 27 Jun 2009 13:41:15 +0200

gucharmap (1:2.24.3-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 08 Mar 2009 08:22:42 +0100

gucharmap (1:2.24.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Scrolling with the wheel now updates the scrollbar. Closes: #427387.
    - Character detail window closed too fast in some cases, now fixed.
      Closes: #368134.
    - Extended support for Unicode characters. Closes: #503397.
    - Update build-dependencies.
    - Rename libgucharmap6 package to libgucharmap7.
    - Rename libgucharmap-dev to libgucharmap2-dev, as the pkgconfig file
      has been renamed (and the /usr/include directory) and packages need
      porting.
    - Update libgucharmap2-dev.install for the new include directory.
  * debian/watch: Don't uupdate.
  * debian/rules:
    - Don't hardcode libgucharmap's SONAME all over the place,
      extract it from debian/control instead.
    - Update the shlibs version.
  * debian/control.in:
    - Add Vcs-* and Homepage fields.
    - Remove old conflicts/replaces for packages that are not shipped
      in Etch.
  * debian/copyright: Add copyright holders.
  * debian/gucharmap.1: Fix WHATIS entry.
  * debian/gucharmap.links:
    - Make links for charmap.1 and gnome-character-map.1 to the gucharmap
      manpage.

  [ Josselin Mouette ]
  * libgucharmap2-dev conflicts and replaces libgucharmap-dev.
  * Remove a reference to libgucharmap6.
  * Build-depend on gtk-doc-tools.
  * Pass --enable-gtk-doc to configure and install the docs.

 -- Josselin Mouette <joss@debian.org>  Fri, 26 Dec 2008 20:17:30 +0100

gucharmap (1:2.22.3-2) unstable; urgency=low

  * Remove dependency on scrollkeeper. Closes: #491718.
  * libgucharmap-dev depends on libgconf2-dev. Closes: #495887.

 -- Josselin Mouette <joss@debian.org>  Thu, 18 Sep 2008 16:35:59 +0200

gucharmap (1:2.22.3-1) unstable; urgency=low

  [ Loic Minier ]
  * Wrap build-deps and deps.
  * Add ${misc:Depends}; fixes missing gconf2 dep; closes: #481032.

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jun 2008 11:56:13 +0200

gucharmap (1:2.22.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 14:18:05 +0200

gucharmap (1:2.22.0-2) unstable; urgency=low

  * debian/gucharmap.install:
    + Ship the schemas file too. Thanks to Sebastien Bacher for reporting.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Mar 2008 15:20:06 +0100

gucharmap (1:2.22.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies.
    + debian/rules,
      debian/patches/99_ltmain_as-needed.patch:
      - Link with --as-needed, -z,defs and -O1.
    + debian/rules:
      - Update shlibs to >= 2.22.0 because of new API.
    + debian/patches/00_relibtoolise.patch:
      - Dropped, upstream uses Debian's libtool.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Mar 2008 14:09:08 +0100

gucharmap (1:1.10.2-1) unstable; urgency=low

  * New upstream release with translation updates:
    + debian/patches/00_relibtoolise.patch:
      - Regenerated for the new version.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.
  * debian/gucharmap.menu:
    + Fix section.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 10 Jan 2008 10:12:06 +0100

gucharmap (1:1.10.1-1) unstable; urgency=low

  [ Sven Arvidsson ]
  * Add a man page (Closes: #177070)

  [ Sebastian Dröge ]


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gucharmap
Section: x11
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Luca Falavigna <dktrkranz@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.2.6),
               debhelper (>= 5),
               libgtk2.0-dev (>= 2.13.6),
               libglib2.0-dev (>= 2.16.3),
               libgconf2-dev,
               libpopt-dev,
               gnome-pkg-tools,
               scrollkeeper,
               gnome-doc-utils (>= 0.9.0),
               gtk-doc-tools (>= 1.0),
               intltool (>= 0.40),
               gconf2,
               libglib2.0-doc,
               libgtk2.0-doc
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gucharmap
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gucharmap
Homepage: http://live.gnome.org/Gucharmap

Package: gucharmap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgucharmap7 (= ${binary:Version}),
         libgtk2.0-bin
Recommends: yelp
Replaces: gnome-utils
Description: Unicode character picker and font browser
 This program allows you to browse through all the available Unicode
 characters and categories for the installed fonts, and to examine
 their detailed properties.  It is an easy way to find the character
 you might only know by its Unicode name or code point.

Package: libgucharmap2-dev
Section: libdevel
Architecture: any
Depends: libgucharmap7 (= ${binary:Version}),
         ${misc:Depends},
         libgtk2.0-dev (>= 2.12.0),
         libgconf2-dev
Replaces: libgucharmap-dev
Conflicts: libgucharmap-dev
Description: Unicode browser widget library (development headers)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the development headers.

Package: libgucharmap7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Unicode browser widget library (shared library)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Colin Walters <walters@verbum.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

libgucharmap := $(shell sed -nr 's/^Package:[[:space:]]*(libgucharmap[0-9]+)[[:space:]]*$$/\1/p' debian/control)

# ensure gucharmap is built after libgucharmap
binary/gucharmap:: binary/$(libgucharmap)

clean::
	rm -f intltool-extract intltool-merge intltool-update
	rm -f po/.intltool-merge-cache

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_$(libgucharmap) += -V '$(libgucharmap) (>= 1:2.24.0)'

=== debian/watch ===
version=2
http://download.gnome.org/sources/gucharmap/([\d\.]+)[02468]/ \
	gucharmap-(.*)\.tar\.gz

## gucharmap 2.32.0

=== debian/changelog ===
gucharmap (1:2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #648894)
  * debian/control*:
    - Add shlibs:Depends to python-gucharmap to add missing libc dependency

 -- Michael Terry <mike@mterry.name>  Mon, 27 Sep 2010 09:39:33 -0400

gucharmap (1:2.31.91-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 30 Aug 2010 11:12:38 +1000

gucharmap (1:2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk2.0-dev
    - Build-depend on dh-autoreconf
  * debian/libgucharmap2-dev.install:
    - Include files in new location
  * debian/rules:
    - Use autoreconf.mk

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Aug 2010 10:53:34 +1000

gucharmap (1:2.30.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control.in:
    - Build-depend on gnome-common for autotools
    - Add Python build-depends
    - Build-depend on liblaunchpad-integration-dev
    - Add Vcs-Bzr link
    - Bump libgtk2.0-dev depends on libgucharmap2-dev
    - Build python-gucharmap
  * debian/python-gucharmap.install:
    - python-gucharmap package
  * debian/rules:
    - Build python-gucharmap
    - Run autotools on build
  * debian/patches/01_lpi.patch:
    - Add Launchpad integration
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 25 Jun 2010 12:35:49 +1000

## gucharmap 2.32.1

=== debian/changelog ===
gucharmap (1:2.32.1-0ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:50:27 +0000

gucharmap (1:2.32.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 15 Nov 2010 17:30:19 +1100

## gucharmap 2.32.1-0ubuntu2-0mint1

=== debian/changelog ===
gucharmap (1:2.32.1-0ubuntu2-0mint1) katya-lxde; urgency=low

  * Removed "Contents" from menu do to inoperation.

 -- Kendall Weaver <kendall@peppermintos.com>  Tue, 13 Jun 2011 22:43:00 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
 Source: gucharmap
 Section: x11
 Priority: optional
-Maintainer: Sebastien Bacher <seb128@debian.org>
-Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Luca Falavigna <dktrkranz@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
+Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: cdbs (>= 0.2.6),
                debhelper (>= 5),
-               libgtk2.0-dev (>= 2.13.6),
+               dh-autoreconf,
+               gnome-common,
+               libgtk2.0-dev (>= 2.14.0),
                libglib2.0-dev (>= 2.16.3),
                libgconf2-dev,
                libpopt-dev,
@@ -21,10 +24,15 @@
                intltool (>= 0.40),
                gconf2,
                libglib2.0-doc,
-               libgtk2.0-doc
+               libgtk2.0-doc,
+               python-support,
+               python-all-dev,
+               python-gtk2-dev (>= 2.7.1),
+               liblaunchpad-integration-dev (>= 0.1.17)
 Standards-Version: 3.8.4
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gucharmap
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gucharmap
+XS-Python-Version: >= 2.3
+XB-Python-Version: ${python:Versions}
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gucharmap/ubuntu
 Homepage: http://live.gnome.org/Gucharmap
 
 Package: gucharmap
@@ -46,7 +54,7 @@
 Architecture: any
 Depends: libgucharmap7 (= ${binary:Version}),
          ${misc:Depends},
-         libgtk2.0-dev (>= 2.12.0),
+         libgtk2.0-dev (>= 2.14.0),
          libgconf2-dev
 Replaces: libgucharmap-dev
 Conflicts: libgucharmap-dev
@@ -68,3 +76,18 @@
  the same name for more information.
  .
  This package contains the shared library.
+
+Package: python-gucharmap
+Section: python
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends},
+         python-gtk2
+Suggests: ${python:Suggests}
+Description: Unicode browser widget library (shared library)
+ The libgucharmap library contains a Unicode browser widget; it is
+ most prominently used by the "gucharmap" program.  See the package of
+ the same name for more information.
+ .
+ This package contains the Python bindings.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,12 @@
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2003 Colin Walters <walters@verbum.org>
 
+DEB_PYTHON_SYSTEM = pysupport
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
@@ -17,7 +20,7 @@
 	rm -f intltool-extract intltool-merge intltool-update
 	rm -f po/.intltool-merge-cache
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc --enable-python-bindings
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=2
http://download.gnome.org/sources/gucharmap/([\d\.]+)\d/ \
	gucharmap-(.*)\.tar\.gz

## gucharmap 3.2.0

=== debian/changelog ===
gucharmap (1:3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2011 17:10:30 +0200

gucharmap (1:3.1.92-0ubuntu2) oneiric; urgency=low

  * Add 00_put_back_gtk2_support.patch: Put back GTK 2 support for oneiric, to
    avoid introducing NBS and broken rdepends at this point. (LP: #853973)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Sep 2011 19:27:18 +0200

gucharmap (1:3.1.92-0ubuntu1) oneiric; urgency=low

  * debian/watch: Look for *.bz2 tarballs, and for unstable versions.
  * New upstream release:
    - Drop GTK2 support [not relevant for Ubuntu]
    - Set program name explicitly
    - Translation updates.
  * debian/control.in: Drop libgtk2.0-doc build dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Sep 2011 16:40:29 +0200

gucharmap (1:3.0.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Thu, 02 Jun 2011 12:24:08 +0200

gucharmap (1:3.0.0-1ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian, using the gnome3-team PPA work, thanks to
    Robert Ancell, Rodrigo Moya and Laurent Bigonville
    + debian/control:
      - Bump build-depends on libgtk3-dev, libgtk3-doc,
        liblaunchpad-integration-3.0-dev
      - Drop build-depends on python-support, python-all-dev,
        python-gtk2-dev
      - Add build-depends on gobject-introspection, libgirepository1.0-dev
      - Add gir1.2-gucharmap-2.90 package
      - Drop python-gucharmap package
      - Use standards-version 3.9.1
      - Add gir1.2-gtk-3.0 and gir1.2-atk-1.0 as build-dependencies
    + debian/gir1.2-gucharmap-2.90.install:
      - Install typelib
    + debian/libgucharmap2-dev.install:
      - Install .gir file
    + debian/rules:
      - Drop Python rules
      - Build --with-gtk=3.0
  * Remaining changes:
    + debian/control{.in}:
      - Build-depend on dh-autoreconf and gnome-common for autotools
      - Build-depend on libgtk-3-doc and gir1.2-atk-1.0 (WHY?)
      - Build-depend on liblaunchpad-integration-3.0-dev
      - Add Vcs-Bzr link
    + debian/patches/01_lpi.patch
      - Add Launchpad integration
    + debian/watch:
      - Watch for unstable versions
    + debian/rules
      - Use autoreconf.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 May 2011 23:10:46 +0100

gucharmap (1:3.0.0-1) experimental; urgency=low

  * New upstream stable release.
  * Enable GObject introspection support.
  * Change section to gnome.
  * Add the GTK+ version packages correspond to to the short description.
  * Add trivial patch to fix a spelling fix in libgucharmap.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Apr 2011 20:17:32 +0200

gucharmap (1:2.33.2-1) experimental; urgency=low

  * New upstream development release.
  * Build gucharmap twice, for gtk2 and gtk3.
  * Add build-dependencies accordingly.
  * Put the GTK3 versions in new libgucharmap-2-90-* packages.

 -- Josselin Mouette <joss@debian.org>  Mon, 21 Mar 2011 20:15:48 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gucharmap
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Luca Falavigna <dktrkranz@debian.org>
Build-Depends: cdbs (>= 0.2.6),
               debhelper (>= 5),
               dh-autoreconf,
               gnome-common,
               gobject-introspection (>= 0.9.0),
               libgirepository1.0-dev (>= 0.9.0),
               gir1.2-pango-1.0,
               gir1.2-gtk-3.0,
               libgtk2.0-dev (>= 2.14.0),
               libgtk-3-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.16.3),
               libgconf2-dev,
               libpopt-dev,
               gnome-pkg-tools,
               scrollkeeper,
               gnome-doc-utils (>= 0.9.0),
               gtk-doc-tools (>= 1.0),
               intltool (>= 0.40),
               gconf2,
               libglib2.0-doc,
               libgtk-3-doc,
               liblaunchpad-integration-3.0-dev,
               gir1.2-atk-1.0
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gucharmap/ubuntu
Homepage: http://live.gnome.org/Gucharmap

Package: gucharmap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgucharmap-2-90-7 (= ${binary:Version})
Recommends: yelp
Replaces: gnome-utils
Description: Unicode character picker and font browser
 This program allows you to browse through all the available Unicode
 characters and categories for the installed fonts, and to examine
 their detailed properties.  It is an easy way to find the character
 you might only know by its Unicode name or code point.

Package: libgucharmap2-dev
Section: libdevel
Architecture: any
Depends: libgucharmap7 (= ${binary:Version}),
         ${misc:Depends},
         libgtk2.0-dev,
         libglib2.0-dev,
         libgconf2-dev
Replaces: libgucharmap-dev
Conflicts: libgucharmap-dev
Description: Unicode browser widget library (development headers for GTK+ 2)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the development headers for the GTK+ 2 version.

Package: libgucharmap7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Unicode browser widget library (shared library for GTK+ 2)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the shared library for the GTK+ 2 version.

Package: libgucharmap-2-90-dev
Section: libdevel
Architecture: any
Depends: libgucharmap-2-90-7 (= ${binary:Version}),
         gir1.2-gucharmap-2.90 (= ${binary:Version}),
         ${misc:Depends},
         libgtk-3-dev,
         libglib2.0-dev,
         libgconf2-dev
Replaces: libgucharmap-dev
Conflicts: libgucharmap-dev
Description: Unicode browser widget library (development headers for GTK+ 3)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the development headers for the GTK+ 3 version.

Package: libgucharmap-2-90-7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Unicode browser widget library (shared library for GTK+ 3)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the shared library for the GTK+ 3 version.

Package: gir1.2-gucharmap-2.90
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Unicode browser widget library
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains introspection data for the Unicode browser widget
 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Colin Walters <walters@verbum.org>

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_BUILDDIR := $(CURDIR)/debian/build/gtk2
DEB_BUILDDIR_gucharmap := $(CURDIR)/debian/build/gtk3
DEB_DESTDIR := $(CURDIR)/debian/tmp-gtk2
DEB_DESTDIR_gucharmap := $(CURDIR)/debian/tmp

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc

configure/gucharmap:: $(DEB_BUILDDIR_gucharmap)/config.status
$(DEB_BUILDDIR_gucharmap)/config.status:
	cd $(DEB_BUILDDIR_gucharmap) && \
		$(DEB_CONFIGURE_SCRIPT_ENV) $(DEB_CONFIGURE_SCRIPT) \
			$(DEB_CONFIGURE_NORMAL_ARGS) \
			$(cdbs_configure_flags) \
			$(DEB_CONFIGURE_EXTRA_FLAGS) \
			--with-gtk=3.0 \
			--enable-introspection \
			$(DEB_CONFIGURE_USER_FLAGS)

build/gucharmap::
	make -C $(DEB_BUILDDIR_gucharmap)

install/gucharmap::
	make -C $(DEB_BUILDDIR_gucharmap) install DESTDIR=$(DEB_DESTDIR_gucharmap)

clean::
	rm -f intltool-extract intltool-merge intltool-update
	rm -f po/.intltool-merge-cache
	rm -rf $(DEB_BUILDDIR) $(DEB_BUILDDIR_gucharmap)
	rm -rf $(DEB_DESTDIR) $(DEB_DESTDIR_gucharmap)

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgucharmap7 += -V'libgucharmap7 (>= 1:2.24.0)'

=== debian/watch ===
version=2
http://download.gnome.org/sources/gucharmap/([\d\.]+)/ \
	gucharmap-(.*)\.tar\.bz2

## gucharmap 3.2.2

=== debian/changelog ===
gucharmap (1:3.2.2-2) unstable; urgency=low

  * Change section of gir1.2-gucharmap-2.90 to introspection.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Mar 2012 15:06:15 +0100

gucharmap (1:3.2.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches/99_ltmain_as-needed.patch.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Nov 2011 03:46:46 +0100

gucharmap (1:3.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - Add Build-Depends on libpango1.0-doc and libgtk-3-doc for proper cross
      references in the gtk-doc API documentation.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Oct 2011 08:54:23 +0200

gucharmap (1:3.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: track .xz tarballs.
  * Drop libgucharmap7 and libgucharmap2-dev, GTK+2 is no longer
    supported.
  * Remove double-build cruft from debian/rules.
  * Stop build-depending on libgtk2.0-dev and libgtk2.0-doc.
  * Update Vcs-* URLs to non-redirected ones.

 -- Jordi Mallach <jordi@debian.org>  Fri, 14 Oct 2011 22:25:37 +0200

gucharmap (1:3.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Switch to .bz2 tarballs.
  * Refresh debian/patches/99_ltmain_as-needed.patch.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Add symbols files for libgucharmap7 and libgucharmap-2-90-7 for improved
    shlibs dependencies.
  * Drop ancient Replaces: gnome-utils, obsolete.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip leading debian/tmp/ from .install files.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Jun 2011 23:35:20 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gucharmap
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               gobject-introspection (>= 0.9.0),
               libgirepository1.0-dev (>= 0.9.0),
               gir1.2-pango-1.0,
               gir1.2-gtk-3.0,
               libgtk-3-dev (>= 3.0.0),
               libglib2.0-dev (>= 2.16.3),
               libgconf2-dev,
               libpopt-dev,
               gnome-pkg-tools,
               scrollkeeper,
               gnome-doc-utils (>= 0.9.0),
               gtk-doc-tools (>= 1.0),
               intltool (>= 0.40),
               gconf2,
               libglib2.0-doc,
               libpango1.0-doc,
               libgtk-3-doc
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gucharmap
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gucharmap
Homepage: http://live.gnome.org/Gucharmap

Package: gucharmap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgucharmap-2-90-7 (= ${binary:Version})
Recommends: yelp
Description: Unicode character picker and font browser
 This program allows you to browse through all the available Unicode
 characters and categories for the installed fonts, and to examine
 their detailed properties.  It is an easy way to find the character
 you might only know by its Unicode name or code point.

Package: libgucharmap-2-90-dev
Section: libdevel
Architecture: any
Depends: libgucharmap-2-90-7 (= ${binary:Version}),
         gir1.2-gucharmap-2.90 (= ${binary:Version}),
         ${misc:Depends},
         libgtk-3-dev,
         libglib2.0-dev,
         libgconf2-dev
Replaces: libgucharmap-dev
Conflicts: libgucharmap-dev
Description: Unicode browser widget library (development headers)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the development headers.

Package: libgucharmap-2-90-7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Unicode browser widget library (shared library)
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains the shared library.

Package: gir1.2-gucharmap-2.90
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Unicode browser widget library
 The libgucharmap library contains a Unicode browser widget; it is
 most prominently used by the "gucharmap" program.  See the package of
 the same name for more information.
 .
 This package contains introspection data for the Unicode browser widget
 library.

## gucharmap 3.3.1

=== debian/changelog ===
gucharmap (1:3.3.1-1) experimental; urgency=low

  * debian/control.in: Update Vcs-* for experimental branch.
  * debian/watch: Watch for unstable versions while we are approaching 3.4 in
    experimental.
  * New upstream release:
    - Updated to Unicode 6.1.0
    - Ported to GSettings
    - Misc cleanup and bug fixes
    - Translation updates
  * debian/control.in: Drop gconf dependency, and bump glib build dependency
    as per configure.ac.
  * debian/gucharmap.install: Update for gconf → gsettings schema location.
  * debian/libgucharmap-2-90-7.symbols: Update for new release.
  * Add 00git_fix_pkg_config.patch: Fix pkg-config file to not reference old
    gconf-related variable. Taken from upstream git. (LP: #952612)
  * spelling_fixes.patch: Update for current upstream version, and add
    upstream forwarded tag.

 -- Martin Pitt <mpitt@debian.org>  Tue, 13 Mar 2012 15:55:50 +0100

=== debian/control ===
--- 
+++ 
@@ -15,21 +15,19 @@
                gir1.2-pango-1.0,
                gir1.2-gtk-3.0,
                libgtk-3-dev (>= 3.0.0),
-               libglib2.0-dev (>= 2.16.3),
-               libgconf2-dev,
+               libglib2.0-dev (>= 2.25.5),
                libpopt-dev,
                gnome-pkg-tools,
                scrollkeeper,
                gnome-doc-utils (>= 0.9.0),
                gtk-doc-tools (>= 1.0),
                intltool (>= 0.40),
-               gconf2,
                libglib2.0-doc,
                libpango1.0-doc,
                libgtk-3-doc
 Standards-Version: 3.9.2
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gucharmap
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gucharmap
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/experimental/gucharmap
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/gucharmap
 Homepage: http://live.gnome.org/Gucharmap
 
 Package: gucharmap
@@ -51,8 +49,7 @@
          gir1.2-gucharmap-2.90 (= ${binary:Version}),
          ${misc:Depends},
          libgtk-3-dev,
-         libglib2.0-dev,
-         libgconf2-dev
+         libglib2.0-dev
 Replaces: libgucharmap-dev
 Conflicts: libgucharmap-dev
 Description: Unicode browser widget library (development headers)

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Colin Walters <walters@verbum.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
			     --enable-gtk-doc \
			     --enable-introspection

clean::
	rm -f intltool-extract intltool-merge intltool-update
	rm -f po/.intltool-merge-cache

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=3
http://download.gnome.org/sources/gucharmap/([\d\.]+)/ \
	gucharmap-(.*)\.tar\.xz

## gucharmap 3.4.1.1

=== debian/changelog ===
gucharmap (1:3.4.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to use xz compression for all binaries, saving space on CD#1
    (Closes: #687297).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 24 Sep 2012 23:21:20 +0200

gucharmap (1:3.4.1.1-2) unstable; urgency=low

  [ Steve Langasek ]
  * debian/patches/unicode-source-generation.patch: compatibility with
    the unicode-data package.
  * debian/rules, debian/clean, debian/control: build-depend on unicode-data
    and generate our unicode header files at package build time, to ensure
    that we actually can.  Closes: #603405.

  [ Michael Biebl ]
  * Use a stamp file to avoid running gen-guch-unicode-tables.pl twice.
  * Point Vcs-* to unstable branch.
  * Drop explicit Build-Depends on gir1.2-pango-1.0 and gir1.2-gtk-3.0.
  * Drop debian/patches/spelling_fixes.patch since we re-generate
    gucharmap/unicode-*.h during build, so patching the pre-generated file is
    pointless. This spelling fix needs to go into unicode-data. (See #677896)

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jun 2012 16:39:23 +0200

gucharmap (1:3.4.1.1-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 02:37:09 +0200

gucharmap (1:3.4.0.1-1) unstable; urgency=low

  [ Martin Pitt ]
  * debian/copyright: Convert to copyright format 1.0, and update to current
    upstream license GPL-3+. Thanks Jeremy Bicha!
  * debian/control: Bump Standards-Version to 3.9.3.

  [ Michael Biebl ]
  * New upstream release.
  * debian/watch: Track stable releases (again).
  * debian/patches/00git_fix_pkg_config.patch: Removed, merged upstream.
  * debian/libgucharmap-2-90-7.symbols: Add new symbols.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Mar 2012 14:33:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                gobject-introspection (>= 0.9.0),
                libgirepository1.0-dev (>= 0.9.0),
-               gir1.2-pango-1.0,
-               gir1.2-gtk-3.0,
                libgtk-3-dev (>= 3.0.0),
                libglib2.0-dev (>= 2.25.5),
                libpopt-dev,
@@ -24,10 +22,11 @@
                intltool (>= 0.40),
                libglib2.0-doc,
                libpango1.0-doc,
-               libgtk-3-doc
-Standards-Version: 3.9.2
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/experimental/gucharmap
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/gucharmap
+               libgtk-3-doc,
+               unicode-data
+Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gucharmap
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gucharmap
 Homepage: http://live.gnome.org/Gucharmap
 
 Package: gucharmap

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,18 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
 			     --enable-gtk-doc \
 			     --enable-introspection
+UNICODE_DATA_VERSION := $(shell dpkg-query -W -f'$${Version}' unicode-data | sed -e's/-.*//')
+
+post-patches:: debian/stamp-gen-unicode-tables
+
+debian/stamp-gen-unicode-tables:
+	cd gucharmap && ./gen-guch-unicode-tables.pl $(UNICODE_DATA_VERSION) /usr/share/unicode
+	touch debian/stamp-gen-unicode-tables
 
 clean::
 	rm -f intltool-extract intltool-merge intltool-update
 	rm -f po/.intltool-merge-cache
+	rm -f gucharmap/unicode-*.h
+	rm -f debian/stamp-gen-unicode-tables
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## gucharmap 3.5.99

=== debian/changelog ===
gucharmap (1:3.5.99-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/control:
    - Remove build-depends on gnome-doc-utils
  * debian/patches/00git_fix_help.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 16:33:52 +1200

gucharmap (1:3.5.90-0ubuntu4) quantal; urgency=low

  * debian/control:
    - Re-add build-depends on gnome-doc-utils. There is some checks remaining
      for it (but they don't seem required)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Aug 2012 16:02:32 +1200

gucharmap (1:3.5.90-0ubuntu3) quantal; urgency=low

  * debian/control:
    - yelp-tools replaces gnome-doc-utils, not gtk-doc-tools, fix build depends
      accordingly

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Aug 2012 11:33:12 +1200

gucharmap (1:3.5.90-0ubuntu2) quantal; urgency=low

  * debian/patches/00git_fix_help.patch:
    - Fix help not working

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Aug 2012 11:13:05 +1200

gucharmap (1:3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Build depend on yelp-tools instead of gnome-doc-tools
  * debian/gucharmap.install:
    - Update for new help location

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Aug 2012 09:32:58 +1200

gucharmap (1:3.5.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/libgucharmap-2-90-7.symbols:
    - Updated
  * debian/patches/spelling_fixes.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 26 Jun 2012 09:37:17 +1200

gucharmap (1:3.5.0-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk-3-dev, libglib2.0-dev
  * debian/watch:
    - Watch for unstable releases

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Jun 2012 14:29:35 +1200

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,31 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gucharmap
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                gobject-introspection (>= 0.9.0),
                libgirepository1.0-dev (>= 0.9.0),
-               libgtk-3-dev (>= 3.0.0),
-               libglib2.0-dev (>= 2.25.5),
+               gir1.2-pango-1.0,
+               gir1.2-gtk-3.0,
+               libgtk-3-dev (>= 3.4.0),
+               libglib2.0-dev (>= 2.32.0),
                libpopt-dev,
                gnome-pkg-tools,
                scrollkeeper,
-               gnome-doc-utils (>= 0.9.0),
                gtk-doc-tools (>= 1.0),
+               yelp-tools,
                intltool (>= 0.40),
                libglib2.0-doc,
                libpango1.0-doc,
-               libgtk-3-doc,
-               unicode-data
+               libgtk-3-doc
 Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gucharmap
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gucharmap
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/experimental/gucharmap
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/gucharmap
 Homepage: http://live.gnome.org/Gucharmap
 
 Package: gucharmap

## gucharmap 3.6.1

=== debian/changelog ===
gucharmap (1:3.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Nov 2012 13:51:54 +1300

gucharmap (1:3.6.0-0ubuntu1) raring; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2012 16:00:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gucharmap
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                gobject-introspection (>= 0.9.0),

=== debian/watch ===
version=3
http://download.gnome.org/sources/gucharmap/([\d\.]+\d)/ \
	gucharmap-(.*)\.tar\.xz

## gucharmap 3.8.2

=== debian/changelog ===
gucharmap (1:3.8.2-3) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in:
    - Update homepage
    - Don't build-depend on scrollkeeper

  [ Andreas Henriksson ]
  * Add debian/patches/revert-unicode-6.2.patch (Closes: #714297)
    Thanks to everyone working together in the bug report to find
    the solution to this problem!
  * Change unicode-data build-dependency to be (<< 6.2)
    - We should drop this and the above patch once unicode-data is updated.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 19 Sep 2013 21:03:48 +0200

gucharmap (1:3.8.2-2) unstable; urgency=low

  * debian/patches/10_perl_5_18.patch:
    + Fix FTBFS with perl 5.18. Thanks to Roderich Schupp. Closes: #710038.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 28 May 2013 22:27:42 +0200

gucharmap (1:3.8.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Add build-dependency on autotools-dev to let CDBS take care of
    "outdated-autotools-helper-file".
  * Bump Standards-Version to 3.9.4
  * Update build-dependencies according to configure.ac changes:
    - Bump gobject-introspection from (>= 0.9.0) to (>= 1.0.0).
    - Bump libgtk-3-dev from (>= 3.0.0) to (>= 3.4.0).
    - Bump libglib2.0-dev from (>= 2.25.5) to (>= 2.32.0).
    - Add desktop-file-utils needed for desktop-file-validate
  * Upstream switched from gnome-doc-utils to yelp-tools.
    - Update build-dependencies accordingly
    - Update debian/gucharmap.install for new help files path
  * Refresh debian/patches/99_ltmain_as-needed.patch to apply.
  * Update debian/libgucharmap-2-90-7.symbols:
    - added one symbol: gucharmap_get_resource@Base
  * Enable vala bindings:
    - Add valac (>= 0.16) needed for vapigen.
    - Add configure option --enable-vala in debian/rules
    - Install vapi files in libgucharmap-2-90-dev

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 24 May 2013 13:21:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,34 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gucharmap
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
-               gobject-introspection (>= 0.9.0),
+               autotools-dev,
+               desktop-file-utils,
+               gobject-introspection (>= 1.0.0),
+               valac (>= 0.16),
                libgirepository1.0-dev (>= 0.9.0),
-               gir1.2-pango-1.0,
-               gir1.2-gtk-3.0,
                libgtk-3-dev (>= 3.4.0),
                libglib2.0-dev (>= 2.32.0),
                libpopt-dev,
                gnome-pkg-tools,
-               scrollkeeper,
                gtk-doc-tools (>= 1.0),
                yelp-tools,
                intltool (>= 0.40),
                libglib2.0-doc,
                libpango1.0-doc,
-               libgtk-3-doc
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/experimental/gucharmap
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/gucharmap
-Homepage: http://live.gnome.org/Gucharmap
+               libgtk-3-doc,
+               unicode-data (<< 6.2)
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gucharmap
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gucharmap
+Homepage: https://wiki.gnome.org/Gucharmap
 
 Package: gucharmap
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
-			     --enable-gtk-doc \
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
+			     --enable-vala \
 			     --enable-introspection
 UNICODE_DATA_VERSION := $(shell dpkg-query -W -f'$${Version}' unicode-data | sed -e's/-.*//')
